// pages/mine/wxml/published/published.js
var app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    array: [],
    btntype: true,
  },
  //删除
  deletes: function (e) {
    var _this = this;
    //console.log(e.target.dataset.kid)
    wx.showModal({
      title: '提示',
      content: '确定删除吗？',
      success: function (res) {
        if (res.confirm) {
          //console.log('用户点击确定')
          wx.request({
            url: app.globalData.prodUrl + 'web-pm/wx/pm/del_live_room',
            header: {
              'ydw-token': wx.getStorageSync('key').ydw_token
            },
            data: {
              live_room_id: e.target.dataset.kid
            },
            success: function (data) {
              //console.log(data)
              wx.navigateBack({
                delta: 1,
                success: function () {
                  var pages = getCurrentPages();
                  var page = getCurrentPages().pop();
                  //console.log(pages)
                  if (page == undefined || page == null) return;
                  pages[1].onLoad(pages[1].options);
                }
              })
            },
          });
        } else if (res.cancel) {
          //console.log('用户点击取消')
        }
      }
    })

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var _this = this
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/list_verify_pass',
      data: {
        shop_id:options.shop_id
      },
      header: {
        'ydw-token': wx.getStorageSync('key').ydw_token
      },
      success: function (data) {
        //console.log(data)
        _this.setData({
          array: data.data.data
        })
      },
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})